<form-template titleForm="Usuario" [form]="form" [busy]="service.busy" [edit]="service.editing" 
    (changes)="onAction($event)" [(addOnlyOne)]="service.addOnlyOne">
    <ng-container content-type="codigo" *ngIf="service.editing">
        <small class="p-1"><strong class="font-xs text-muted">Codigo:&nbsp;</strong>{{service.model?.Id}}</small>
      </ng-container>
    <form #form="ngForm" autocomplete="off">
        <div class="row">
            <div class="col-md-4" input-wrapper label="Nombre" >
                <input type="text" class="form-control" name="nombre" [(ngModel)]="service.model.UserName"
                    ngbAutofocus readonly>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4" input-wrapper label="Email" >
                <input type="text" class="form-control" name="email" [(ngModel)]="service.model.Email"
                    readonly>
            </div>
            <div class="col-md-4" [input-wrapper]="tipo" label="Tipo de Usuario">
                <select class="form-control" name="tipo" #tipo="ngModel" [(ngModel)]="service.model.RoleId"
                    [default]="null" required>
                  <option [ngValue]="null">--Seleciona un Tipo--</option>
                  <option *ngFor="let type of service.tipoUsuario" [ngValue]="type.value">
                    {{ type.label }}
                  </option>
                </select>
              </div>
            <div class="col-md-4" input-wrapper label="Bloqueado">
                <label for="activo" class="switch switch-sm switch-danger switch-label mt-2">
                    <input type="checkbox" name="activo" id="activo" class="switch-input" [(ngModel)]="service.model.IsLocked">
                    <span class="switch-slider" data-checked="SI"></span>
                </label>
            </div>
        </div>
        <div class="row" *ngIf="service.model.CreateDate">
            <div class="col-md-12 text-left">
                <span class="font-weight-medium font-size-sm text-muted">Creado: </span>
		        <small>{{ service.model.CreateDate | date:'dd-mm-yyyy' }}</small>
            </div>
        </div>
    </form>
</form-template>
